org.apache.hc.client5.http.entity.mime

## Class FormBodyPart

- java.lang.Object
- - org.apache.hc.client5.http.entity.mime.MultipartPart
  - - org.apache.hc.client5.http.entity.mime.FormBodyPart

    public class FormBodyPart
    extends MultipartPart

FormBodyPart class represents a content body that can be used as a part of multipart encoded entities. This class automatically populates the header with standard fields based on the content description of the enclosed body.

Since:
  4.0

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addField(String name, String value)`
`String` `getName()`

### Methods inherited from class org.apache.hc.client5.http.entity.mime.MultipartPart

`getBody, getHeader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

#### addField

    public void addField(String name,
                         String value)